complexType "CommoditySettlementPeriodsNotionalQuantitySchedule"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 2 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | settlementPeriodsNotionalQuantityStep+, settlementPeriodsReference+
</...>

Content Model Elements (2):

  settlementPeriodsNotionalQuantityStep,
  settlementPeriodsReference (in settlementPeriodsNotionalQuantitySchedule)

All Direct / Indirect Based Elements (1):

  settlementPeriodsNotionalQuantitySchedule

Known Usage Locations

- As direct type of elements (1):
  settlementPeriodsNotionalQuantitySchedule

Annotation
The notional quantity schedule of electricity that applies to one or more groups of Settlement Periods.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="CommoditySettlementPeriodsNotionalQuantitySchedule"> <xsd:sequence> <xsd:element maxOccurs="unbounded" name="settlementPeriodsNotionalQuantityStep" type="CommodityNotionalQuantity"/> <xsd:element maxOccurs="unbounded" name="settlementPeriodsReference" type="SettlementPeriodsReference"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
settlementPeriodsNotionalQuantityStep

  Type: | CommodityNotionalQuantity, complex content

  For an electricity transaction, the Notional Quantity for a given Calculation Period during the life of the trade which applies to the range(s) of Settlement Periods referenced by settlementPeriodsReference. There must be a settlementPeriodsNotionalQuantityStep specified for each Calculation Period, regardless of whether the NotionalQuantity changes or remains the same between periods.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="settlementPeriodsNotionalQuantityStep" type="CommodityNotionalQuantity"/>

settlementPeriodsReference

  Type: | SettlementPeriodsReference, empty content

  The range(s) of Settlement Periods to which the Fixed Price steps apply.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="settlementPeriodsReference" type="SettlementPeriodsReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.